
      program PROPRI1


!     verso 1.0 - 5 Dez 97
!                                   ltima alterao = 11 Dez 97


!     Marchi - UFSC / Florianpolis

!---------------------------------------------------------------


!     Programa para clculo das seguintes propriedades em funo
!     da temperatura (K):

! cp   = calor especfico a presso constante (J/kg.K)

! h    = entalpia (J/kg)

! s    = entropia (J/kg.K)

! g    = energia livre de Gibbs (J/kg)

! mi   = viscosidade absoluta (Pa.s)

! k    = condutividade trmica (W/m.K)

! gama = razo entre os calores especficos (adimensional)

!---------------------------------------------------------------


!     O clculo  efetuado atravs de polinmios com coeficientes
!     baseados no relatrio TM-4513 da NASA, de 1993.

!---------------------------------------------------------------


!     As espcies disponveis atualmente so:

! H2O = vapor d'gua (gs), ndice 1

! O2  = oxignio molecular (gs), ndice 2

! H2  = hidrognio molecular (gs), ndice 3

! H   = hidrognio atmico (gs), ndice 4

! O   = oxignio atmico (gs), ndice 5

! OH  = hidroxila (gs), ndice 6

! H2O = gua (lquido), ndice 7

!---------------------------------------------------------------


!     ARQUIVOS ENVOLVIDOS NO PROGRAMA:

! calculo.f90  = mdulo de clculo das propriedades

! coef.f90     = mdulo de leitura dos coeficientes dos arquivos
!                propri1.dat e propri2.dat

! dados.dat    = contm os dados para execuo do programa

! dados.f90    = l os dados do arquivo dados.dat

! escreve.f90  = gera arquivos de sada das propriedades calculadas

! notepad.exe  = programa do sistema usado para editar os arquivos 
!                dados.dat e saida1.dat

! propri1.f90  = programa fonte principal

! propri1.dat  = coeficientes para clculo de cp, h, s e g;
!                inclui tambm a massa molecular (mm) de cada espcie e
!                a entalpia de formao

! propri2.dat  = coeficientes para clculo de mi e k

! saida1.dat   = lista dos dados de entrada e das propriedades calculadas

! saida2.dat   = lista das entalpias calculadas

! saida3.dat   = lista das entropias calculadas

! saida4.dat   = lista das energias livres de Gibbs calculadas

! saida5.dat   = lista dos calores especficos calculados

! saida6.dat   = lista das razes de calores especficos calculados

! saida7.dat   = lista das viscosidades calculadas

! saida8.dat   = lista das condutividades calculadas

! saidax.gnu   = arquivos usados durante a execuo do programa WGNUPLOT
!                para gerar grfivos dos dados contidos nos arquivos saidax.dat

! varia.f90    = mdulo de definio das variveis pblicas do programa

! wgnuplot.exe = programa usado para gerar os grficos dos resultados

!---------------------------------------------------------------


!     INCLUSO DE MDULOS

      use calculo
      use coef
      use escreve
      use dados
      use varia

      use msflib

!---------------------------------------------------------------


      chamada=systemqq('notepad dados.dat')

      call dadosrot ()

      allocate (cp(7,n),g(7,n),gama(6,n),h(7,n),k(6,n),mi(6,n),s(7,n),t(n))

      call coeficientes ()
      
      call calculo_propri ()

      call escreverot()

      deallocate (cp,g,gama,h,k,mi,s,t)

      chamada=systemqq('notepad saida1.dat')

      chamada=systemqq('wgnuplot saida2.gnu')
      chamada=systemqq('wgnuplot saida3.gnu')
      chamada=systemqq('wgnuplot saida4.gnu')
      chamada=systemqq('wgnuplot saida5.gnu')
      chamada=systemqq('wgnuplot saida6.gnu')
      chamada=systemqq('wgnuplot saida7.gnu')
      chamada=systemqq('wgnuplot saida8.gnu')
      
      int4 = setexitqq(qwin$exitnopersist)

      end
