module varia


! objetivo: definir as variveis do programa


implicit none


!---------------------------------------------------------------

!     DEFINIO DAS VARIVEIS

real*8,dimension(7,7,2)           :: a                ! coeficientes para cp, h, s e g
real*8,dimension(6,4,2)           :: b                ! coeficientes para mi
real*8,dimension(6,4,2)           :: c                ! coeficientes para k
logical                           :: chamada          ! acesso a programas externos (notepad e wgnuplot)
real*8,dimension(:,:),allocatable :: cp               ! calor especfico a presso constante (J/kg.K)
real*8                            :: dt               ! intervalo de temperatura entre cada ponto a calcular (K)
real*8,dimension(:,:),allocatable :: g                ! energia livre de Gibbs (J/kg)
real*8,dimension(:,:),allocatable :: gama             ! razo entre os calores especficos (adimensional)
real*8,dimension(:,:),allocatable :: h                ! entalpia (J/kg)
real*8,dimension(7)               :: hform            ! entalpia de formao (J/kg)
integer                           :: i                ! refere-se  espcie
integer*4                         :: int4             ! controle
integer                           :: j                ! faixa de temperatura; 1 para T >= 1000 K; 2 para T < 1000 K
real*8,dimension(:,:),allocatable :: k                ! condutividade trmica (W/m.K)
integer                           :: l                ! nmero do coeficiente
real*8,dimension(:,:),allocatable :: mi               ! viscosidade absoluta (Pa.s)
real*8,dimension(7)               :: mm               ! massa molecular (kg/kgmol)
integer                           :: n                ! nmero de pontos a calcular as propriedades
integer                           :: p                ! ponto de clculo
real*8,parameter                  :: ru=8.314510d+3   ! constante universal dos gases (J/kmol.K)
real*8,dimension(:,:),allocatable :: s                ! entropia (J/kg.K)
real*8,dimension(:),allocatable   :: t                ! temperatura (K)
real*8                            :: ti               ! temperatura inicial da faixa a calcular as propriedades (K)
real*8                            :: tf               ! temperatura final da faixa a calcular as propriedades (K)

! o primeiro ndice nos arrays bidimensionais refere-se a espcie;
! o segundo ndice corresponde ao ponto ou  temperatura a calcular.

! arrays de a, b e c:
! primeiro ndice = espcie
! segundo ndice  = nmero do coeficiente
! terceiro ndice = faixa de temperatura; 1 para T >= 1000 K; 2 para T < 1000 K

!---------------------------------------------------------------


end module varia